Delete Conversation
curl --request DELETE \
--url https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/convos/{convoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/convos/{convoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/convos/{convoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Conversations
Delete Conversation
Deletes a specific conversation for the specified agent, using the V3 endpoints.
DELETE
/
agents
/
{agentId}
/
convos
/
{convoId}
Delete Conversation
Example Response
{
"success": true,
"message": "Conversation deleted successfully"
}
Notes
- This action is irreversible
- Deletes the conversation and all associated data (turns, sessions)
- You must own the agent to delete its conversations
- Consider exporting the conversation first if you need a backup
⌘I
